import { AutoMap } from '@automapper/classes';
import { IsEmail, IsOptional, IsPhoneNumber, IsString } from 'class-validator';

export class CreateUserRequest {
  @IsString()
  @IsOptional()
  @AutoMap()
  uuid?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  firstName?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  lastName?: string;

  @IsEmail()
  @IsOptional()
  @AutoMap()
  email?: string;

  @IsPhoneNumber()
  @IsOptional()
  @AutoMap()
  phone?: string;
}
